Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method runPHP::DetermineAllEvaldPosts() should not be called statically in /customers/4/2/4/junkfoodjunkie.no/httpd.www/wp-includes/plugin.php on line 496

Sep 7 2009

Sikkerhetshull i WordPress! Oppgrader!

Postet kl.: 16:52 - med følgende tema: blogging,IT,teknologi

 
Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method runPHP::EvalContent() should not be called statically in /customers/4/2/4/junkfoodjunkie.no/httpd.www/wp-includes/plugin.php on line 213

Etter å ha lest på Digi om en ny orm som driver og sprer seg på WordPress-installasjoner, så bestemte jeg meg for å oppgradere så fort som mulig. Siden jeg tidligere har gjort enkelte endringer i core-filene til WordPress, så har jeg alltid vært litt treg på slikt. Denne gangen har jeg dog gjort et seriøst forsøk på å flytte disse endringene ut i egne filer, og deretter bare overskrive/erstatte innebygde WordPress-funksjoner. Ser foreløpig ut til å fungere uten problemer.

Dersom noen ønsker å lese mer om problemene denne ormen forårsaker, så kan dere lese enten denne bloggen her, eller Matt Mullenwegs egen blog på WordPress.org.

Oppgraderingen gikk som sagt uten større problemer for meg, selv om jeg har en litt sær installasjon, og kjører mitt eget theme. Så det virker ikke som om det er noen store ulemper ved å oppdatere, og instruksjonene på WordPress’ egne sider er fremdeles glimrende lesestoff for de som skal gjøre dette.

Ingen kommentarer

  Strict Standards: Non-static method SimilarPosts::execute() should not be called statically in /customers/4/2/4/junkfoodjunkie.no/httpd.www/wp-content/plugins/similar-posts/similar-posts.php on line 34 Strict Standards: Non-static method SimilarPosts::check_post_plugin_library() should not be called statically in /customers/4/2/4/junkfoodjunkie.no/httpd.www/wp-content/plugins/similar-posts/similar-posts.php on line 57

Lignende poster:

Arkiv


Kategorier


Link it up!


PS! I Blog You!


WP-plugins